Package org.apache.ignite.spi.systemview.view

## Interface SystemViewRowAttributeWalker.AttributeWithValueVisitor

- Enclosing interface:
    SystemViewRowAttributeWalker<R>

      public static interface SystemViewRowAttributeWalker.AttributeWithValueVisitor

  Attribute visitor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> void` | `accept​(int idx, String name, Class<T> clazz, T val)` | Visit attribute.
    `void` | `acceptBoolean​(int idx, String name, boolean val)` | Visit attribute.
    `void` | `acceptByte​(int idx, String name, byte val)` | Visit attribute.
    `void` | `acceptChar​(int idx, String name, char val)` | Visit attribute.
    `void` | `acceptDouble​(int idx, String name, double val)` | Visit attribute.
    `void` | `acceptFloat​(int idx, String name, float val)` | Visit attribute.
    `void` | `acceptInt​(int idx, String name, int val)` | Visit attribute.
    `void` | `acceptLong​(int idx, String name, long val)` | Visit attribute.
    `void` | `acceptShort​(int idx, String name, short val)` | Visit attribute.

- - ### Method Detail

    - #### accept

          <T> void accept​(int idx,
                          String name,
                          Class<T> clazz,
                          @Nullable
                          T val)

      Visit attribute. Attribute value is object.
      Type Parameters:
        `T` - Value type.
      Parameters:
        `idx` - Index.
        `name` - Name.
        `clazz` - Class.
        `val` - Value.

    - #### acceptBoolean

          void acceptBoolean​(int idx,
                             String name,
                             boolean val)

      Visit attribute. Attribute value is `boolean` primitive.
      Parameters:
        `idx` - Index.
        `name` - Name.
        `val` - Value.

    - #### acceptChar

          void acceptChar​(int idx,
                          String name,
                          char val)

      Visit attribute. Attribute value is `char` primitive.
      Parameters:
        `idx` - Index.
        `name` - Name.
        `val` - Value.

    - #### acceptByte

          void acceptByte​(int idx,
                          String name,
                          byte val)

      Visit attribute. Attribute value is `byte` primitive.
      Parameters:
        `idx` - Index.
        `name` - Name.
        `val` - Value.

    - #### acceptShort

          void acceptShort​(int idx,
                           String name,
                           short val)

      Visit attribute. Attribute value is `short` primitive.
      Parameters:
        `idx` - Index.
        `name` - Name.
        `val` - Value.

    - #### acceptInt

          void acceptInt​(int idx,
                         String name,
                         int val)

      Visit attribute. Attribute value is `int` primitive.
      Parameters:
        `idx` - Index.
        `name` - Name.
        `val` - Value.

    - #### acceptLong

          void acceptLong​(int idx,
                          String name,
                          long val)

      Visit attribute. Attribute value is `long` primitive.
      Parameters:
        `idx` - Index.
        `name` - Name.
        `val` - Value.

    - #### acceptFloat

          void acceptFloat​(int idx,
                           String name,
                           float val)

      Visit attribute. Attribute value is `float` primitive.
      Parameters:
        `idx` - Index.
        `name` - Name.
        `val` - Value.

    - #### acceptDouble

          void acceptDouble​(int idx,
                            String name,
                            double val)

      Visit attribute. Attribute value is `double` primitive.
      Parameters:
        `idx` - Index.
        `name` - Name.
        `val` - Value.